gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Widget A base class for widgets with alignments and padding.

The GtkMisc widget is an abstract widget which is not useful itself, but is used to derive subclasses which have alignment and padding attributes.

The horizontal and vertical padding attributes allows extra space to be added around the widget.

The horizontal and vertical alignment attributes enable the widget to be positioned within its allocated area. Note that if the widget is added to a container in such a way that it expands automatically to fill its allocated area, the alignment settings will not alter the widgets position.

- Constructor
  2.12.0.0
  Protected constructor.
  Protected constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.12.0.0
  System.Void `` `` Location to store X alignment of misc, or . Location to store Y alignment of misc, or . Gets the X and Y alignment of the widget within its allocation. See .
- Method
  2.12.0.0
  System.Void `` `` Location to store padding in the X direction, or . Location to store padding in the Y direction, or . Gets the padding in the X and Y directions of the widget. See ).
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  System.Void `` `` The horizontal alignment, from 0 (left) to 1 (right). The vertical alignment, from 0 (top) to 1 (bottom). Sets the alignment of the widget. To be added.
- Method
  2.12.0.0
  System.Void `` `` The amount of space to add on the left and right of the widget, in pixels. The amount of space to add on the top and bottom of the widget, in pixels. Sets the amount of space to add around the widget. To be added.
- Property
  2.12.0.0
  GLib.Property("xalign")
  System.Single The horizontal alignment The horizontal alignment
- Property
  2.12.0.0
  GLib.Property("xpad")
  System.Int32 The amount of space to add on the top and bottom of the widget, in pixels. The amount of space to add on the top and bottom of the widget, in pixels.
- Property
  2.12.0.0
  GLib.Property("yalign")
  System.Single The vertical alignment The vertical alignment
- Property
  2.12.0.0
  GLib.Property("ypad")
  System.Int32 The amount of space to add on the left and right of the widget, in pixels. The amount of space to add on the left and right of the widget, in pixels.